Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
Public Class CostPlace
    Inherits HCategory
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <NonPersistent>
    <ImmediatePostData(True), DataSourceProperty("CollectionOfCostPlace")>
    Property ParentObject As CostPlace
        Get
            Return MyBase.Parent
        End Get
        Set(value As CostPlace)
            MyBase.Parent = value
        End Set
    End Property
    <VisibleInListView(False), VisibleInDetailView(False), VisibleInLookupListView(False)> _
    <Browsable(False)> _
    <NonPersistent()> _
    Private ReadOnly Property CollectionOfCostPlace As XPCollection(Of CostPlace)
        Get
            Dim _CollectionOfCostPlace As New XPCollection(Of CostPlace)(Session, CriteriaOperator.Parse("Oid != ?", Me.Oid))
            Return _CollectionOfCostPlace
        End Get
    End Property
End Class 'Költséghely

